getRooms ()

Get Room information & static data, per room number. For example: Room codes, attributes, occupancy settings, cleaning status, etc.

This query is based on room numbers. To retrieve a list of all available rooms, simply leave the room_number element empty.

Alternatively, you can use the Room Status function as a complementary tool to getRooms() for obtaining a complete list of available rooms.

HTTP Request Method = POST.

https://sandbox.minihotel.cloud/agents/ws/settings/rooms/RoomsMain.asmx/getRooms
https://api2.minihotel.cloud/agents/ws/settings/rooms/RoomsMain.asmx/getRooms

Request

ElementDescriptionType
room_numberRoom Number (Optional value).
Note: If this parameter is empty, you will receive all rooms.
String

Request Example

<?xml version="1.0" encoding="UTF-8"?>
<Request>
    <Settings name="getRooms">
    <Authentication username="Test" password="3657488"/>
    <Hotel id="sandbox" />
    <room_number>101</room_number>
</Settings>
</Request>

Response

ParameterDescriptionType
ArrayOfRnm_struct_roomRooms containerList Of()
#Rnm_struct_roomRoom record
#is_mappedIndicates whether the room type associated with this room is mapped to the user making the request, such as an agent, booking engine, or channel manager.Boolean: true / false
#rm_serialRoom serial numberString
#rm_numberRoom numberString
#rm_typeRoom typeString
#rm_clsdt1Closed date – FromString Format: yyyyMMdd
#rm_clsdt2Closed date – ToString Format: yyyyMMdd
#rm_statusRoom cleaning status: (Housekeeping)
C = Clean
D = Dirty
String (1 char len)
#rm_dormDormitory (Is the unit a dorm)String (Binary)
#rm_wingWing codeString (1 char len)
#rm_bedBed (Is the unit a bed)String (Binary)
#rm_occNot included in occupancyString (Binary)
#rm_colorRoom colorString
#ArrayOfRec_rooms_gst_maxRoom maximum guest by type (container)List Of()
#rec_rooms_gst_maxRoom maximum guest by type (record)String
#rgm_gst_typeGuest type:
A = Adult
B = Baby
C = Child
String
#rgm_maxMax quantity of guestsString
#ArrayOfRnm_struct_room_attributesRoom attributes containerList Of()
#rnm_attributeRoom attribute record
#attr “code”Room attribute codeString
#attr “description”Room attribute descriptionString

Response Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>22 ms</ResponseTime>
        <DateTime>7/8/2018 2:48:17 PM</DateTime>
    </ServerInfo>
    <ArrayOfRnm_struct_room>
        <rnm_struct_room>
        <rnm_struct_room is_mapped="true">
            <rm_serial>001</rm_serial>
            <rm_number>102</rm_number>
            <rm_type>DBL-Interno</rm_type>
            <rm_clsdt1 />
            <rm_clsdt2 />
            <rm_status>C</rm_status>
            <rm_dorm>0</rm_dorm>
            <rm_wing>1</rm_wing>
            <rm_bed>0</rm_bed>
            <rm_occ>0</rm_occ>
           <rm_image>https://sandbox.minihotel.cloud/agents/ws/settings/rooms/RoomImage.aspx?h=YlVab1V4V3l2clA2WDZ5YkxuSDU5dGdZW==</rm_image>
             <ArrayOfRec_rooms_gst_max>
                <rec_rooms_gst_max>
                    <rgm_gst_type>A</rgm_gst_type>
                    <rgm_max>2</rgm_max>
                </rec_rooms_gst_max>
                <rec_rooms_gst_max>
                    <rgm_gst_type>C</rgm_gst_type>
                    <rgm_max>0</rgm_max>
                </rec_rooms_gst_max>
                <rec_rooms_gst_max>
                    <rgm_gst_type>B</rgm_gst_type>
                    <rgm_max>0</rgm_max>
                </rec_rooms_gst_max>
            </ArrayOfRec_rooms_gst_max>
            <ArrayOfRnm_struct_room_attributes>
                <rnm_attribute code="1" description="Garden view" />
                <rnm_attribute code="2" description="Sea view" />
            </ArrayOfRnm_struct_room_attributes>
        </rnm_struct_room>
    </ArrayOfRnm_struct_room>
</Response>